
// LabelPrinterDlg.h : 헤더 파일
//

#pragma once
#include "mPOSConst.h"
#include "MPosControllerDevices.h"
#include "MPosControllerLabelPrinter.h"


// CLabelPrinterDlg 대화 상자
class CLabelPrinterDlg : public CDialog
{
// 생성입니다.
public:
	CLabelPrinterDlg(CWnd* pParent = NULL);	// 표준 생성자입니다.

// 대화 상자 데이터입니다.
	enum { IDD = IDD_LABELPRINTER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.


// 구현입니다.
protected:
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:

	CMPosControllerDevices* pDevice;	
	CMPosControllerLabelPrinter* pLabelPrinter;

	CString m_strPort;
	int m_nInterface;
	int m_nConnectionType;

	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedRadio5();

	afx_msg void OnBnClickedRadio6();
	afx_msg void OnBnClickedRadio7();
	afx_msg void OnBnClickedBtnDevice();
	afx_msg void OnBnClickedBtnImage();
	afx_msg void OnBnClickedBtnVector();
	afx_msg void OnBnClickedBtn1d();
	afx_msg void OnBnClickedBtn2d();
	afx_msg void OnBnClickedBtnInfo();
};
